package com.yeejoin.amos.patrol.business.param;

import com.yeejoin.amos.patrol.core.common.request.CommonPageable;

public class CheckInfoListPageParam extends CommonPageable {

	/**
	 * 点编号
	 */
	private String pointID;
	
	/**
	 * 点状态
	 */
	private String status;// 状态
	
	/**
	 * 用户编号
	 */
	private long userID = -1L;
	
	/**
	 * 应用编号
	 */
	private String companyID;

	/**
	 * orgCode
	 */
	private String orgCode;
	
	/**
	 * 查询时间8位
	 */
	private String checkTime;// 查询时间8位
	
	/**
	 * 合格
	 */
	private String qualified;

	/**
	 * 不合格
	 */
	private String unQualified;
	
	/**
	 * 用户名称
	 */
	private String userName;

	/**
	 * 部门
	 */
	private String groupId;

	/**
	 * 巡检点名称
	 */
	private String pointName;

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}


	public String getPointID() {
		return pointID;
	}

	public void setPointID(String pointID) {
		this.pointID = pointID;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public long getUserID() {
		return userID;
	}

	public void setUserID(long userID) {
		this.userID = userID;
	}

	public String getCompanyID() {
		return companyID;
	}

	public void setCompanyID(String companyID) {
		this.companyID = companyID;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getCheckTime() {
		return checkTime;
	}

	public void setCheckTime(String checkTime) {
		this.checkTime = checkTime;
	}

	public String getQualified() {
		return qualified;
	}

	public void setQualified(String qualified) {
		this.qualified = qualified;
	}

	public String getUnQualified() {
		return unQualified;
	}

	public void setUnQualified(String unQualified) {
		this.unQualified = unQualified;
	}

	public String getGroupId() {
		return groupId;
	}

	public void setGroupId(String groupId) {
		this.groupId = groupId;
	}

	public String getPointName() {
		return pointName;
	}

	public void setPointName(String pointName) {
		this.pointName = pointName;
	}
}
